Page MenuHomePhabricator

[libclang] [OpenCL] Expose more OpenCL CIndex types
ClosedPublic

Authored by svenvh on May 15 2017, 7:27 AM.

Details

Summary

Expose pipe, sampler_t, clk_event_t, queue_t, reserve_id_t, and all
image types.

Update the opencl-types.cl test RUN line such that we can test the
OpenCL 2.0 types.

Patch by Simon Perretta.

Event Timeline

svenvh created this revision.May 15 2017, 7:27 AM
yaxunl added inline comments.May 18 2017, 7:34 PM
include/clang-c/Index.h
3080 ↗(On Diff #99574)

Can we have a doxygen comment about the OpenCL types?

svenvh updated this revision to Diff 99574.May 19 2017, 8:58 AM

Adding comments.

yaxunl accepted this revision.May 19 2017, 9:10 AM

LGTM. Thanks.

This revision is now accepted and ready to land.May 19 2017, 9:10 AM
This revision was automatically updated to reflect the committed changes.